<!--
  Generated template for the GeofencePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="primary">
    <ion-title>{{headerTitle}}</ion-title>
  </ion-navbar>
</ion-header>


<ion-content>
  <div [style.display]="isMapPreview ? 'none' : 'inline'">
    <div class="example-container" padding>
      <form  novalidate #f="ngForm">
        <mat-form-field class="example-full-width">
          <input matInput placeholder="Name" [(ngModel)] = "geofenceData.name" #name required name="name" />
          <mat-error *ngIf="name.errors?.required">
            Name is <strong>required</strong>
          </mat-error>
        </mat-form-field>
        <mat-form-field class="example-full-width">
          <textarea matInput placeholder="Description" [(ngModel)] = "geofenceData.description" #description name="description"></textarea>
        </mat-form-field>
      </form>
      <button mat-raised-button class="half-width" color="light" (click)="openMapPreviewAdd()"> Open Map</button>
      <button mat-raised-button  class="half-width" (click)="saveGeoFence()" color="primary">Save</button>
    </div>
  </div>
  <div [style.display]="geofenceData?.id && !isMapPreview ? 'inline' : 'none'">
    <div id="map_canvas_view"></div>
  </div>
  <div [style.display]="isMapPreview ? 'inline' : 'none'">
    <div #map id="map_canvas"></div>
    <div class="example-container" padding>
      <ion-grid>
        <ion-row>
          <ion-col col-12>
            <button mat-raised-button  class="full-width" (click) = "closeMapPreviewAddSave()" color="primary">Save</button>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col col-6>
            <button mat-raised-button class="full-width" (click) = "closeMapPreviewAddCancel()" color="warn">Cancel</button>
          </ion-col>
          <ion-col col-6>
            <button mat-raised-button class="full-width" (click) = "deleteSelection()" color="">Clear Map</button>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>
  </div>
</ion-content>
